diff -ruaN mythtv-0.19-fixes.orig/debian/README.Debian mythtv-0.19-fixes/debian/README.Debian
--- mythtv-0.19-fixes.orig/debian/README.Debian	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/README.Debian	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,10 @@
+MythTV for Debian
+-----------------
+
+This package is set up so that mythtv should be run as the mythtv
+user.  For a dedicated mythtv system, you may wish to set up your
+display manager (e.g., gdm) to automatically login as the mythtv user
+and start mythfrontend.
+
+If you wish to run mythtv as another user, add them to the mythtv
+group.
diff -ruaN mythtv-0.19-fixes.orig/debian/changelog mythtv-0.19-fixes/debian/changelog
--- mythtv-0.19-fixes.orig/debian/changelog	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/changelog	2006-02-25 07:41:37.000000000 +0000
@@ -0,0 +1,565 @@
+mythtv (0.19.0-4_km_i586) unstable; urgency=low
+
+  * Patch to fix 350 volume.
+
+ -- Cecil Watson <cwatson@linkline.com>  Fri, 24 Feb 2006 23:39:21 -0800
+
+mythtv (0.19.0-3_km_i586) unstable; urgency=low
+
+  * Initial upstream release.
+  * This is 0.19-fixes.
+
+ -- Cecil Watson <cwatson@linkline.com>  Tue, 21 Feb 2006 16:23:21 -0800
+
+mythtv (0.19.0-2_km_i586) unstable; urgency=low
+
+  * Initial upstream release.
+
+ -- Cecil Watson <cwatson@linkline.com>  Tue, 14 Feb 2006 16:36:21 -0800
+
+mythtv (0.18.2svn-1_km_i686) unstable; urgency=low
+
+  * Initial upstream release.
+  * Remove mythfilldatabase from daily cron job.
+  * Added knoppmyth.xml to classic theme.
+  * Compiled with DVB-EIT
+
+ -- Cecil Watson <cwatson@linkline.com>  Sun, 11 Sept 2005 03:37:08 -0800
+
+mythtv (0.18.1-3_km_i686) unstable; urgency=low
+
+  * Recompile to include MMX.
+
+ -- Cecil Watson <cwatson@linkline.com>  Fri, 27 May 2005 17:03:48 -0800
+
+mythtv (0.18.1-2_km_i686) unstable; urgency=low
+
+  * Fixed OpenGL VSYNC
+
+ -- Cecil Watson <cwatson@linkline.com>  Sat, 21 May 2005 00:18:48 -0600
+
+mythtv (0.18-2_km_i686) unstable; urgency=low
+
+  * Compiled XvMC and XvMC-VLD in as options.
+  * Compiled w/ OpenGL vsync. 
+
+ -- Cecil Watson <cwatson@linkline.com>  Sat, 23 Apr 2005 13:10:35 -0800
+
+mythtv (0.18-1_km_i686) unstable; urgency=low
+
+  * Initial upstream release. 
+
+ -- Cecil Watson <cwatson@linkline.com>  Fri, 15 Apr 2005 03:23:48 -0800
+
+mythtv (0.17-3) hoary; urgency=low
+
+  * Fix bad merge of backendsettings.cpp
+
+ -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 14 Feb 2005 09:50:35 -0800
+
+mythtv (0.17-2) hoary; urgency=low
+
+  * Fix CXXFLAGS to -O2 -g all around (fixes FTBFS on amd64)
+
+ -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 13 Feb 2005 23:24:53 -0800
+
+mythtv (0.17-1) unstable; urgency=low
+
+  * New upstream release
+  * Add build-depends: libxinerama-dev | xlibs-static-dev (<< 6.8.1-1), libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1)
+  * Add debian/mysql.txt.dist as template; upstream no longer ships one
+
+ -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 12 Feb 2005 23:10:39 -0800
+
+mythtv (0.16-2) unstable; urgency=low
+
+  * Drop alternative dependency on libqt3-mt-mysql, since woody isn't
+    really supported anymore anyway, and it was causing confusion
+
+ -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 11 Feb 2005 19:33:06 -0800
+
+mythtv (0.16-1) unstable; urgency=low
+  
+  * New upstream release
+  * Add an explanation to the package description of mythtv-debug
+    explaining its use
+  * Build without -march=i686
+  * Add a Depends: line to mythtv-debug to appease linda
+
+ -- Matt Zimmerman <mdz@debian.org>  Fri, 10 Sep 2004 17:46:18 -0700
+
+mythtv (0.15.1-1) unstable; urgency=low
+
+  * New upstream release
+  * Add mythtv-backend.NEWS file with pointer to datadirect upgrade
+    instructions
+
+ -- Matt Zimmerman <mdz@debian.org>  Tue,  1 Jun 2004 12:12:09 -0700
+
+mythtv (0.15-1) unstable; urgency=low
+
+  * New upstream release
+    - Includes support for Zap2It Data Direct service (you'll need to
+      switch to this if you used tv_grab_na with 0.14)
+  * Downgrade xmltv-util dependency to a Recommends, since it's now
+    optional for North American users
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 26 May 2004 22:53:35 -0700
+
+mythtv (0.14-6) unstable; urgency=low
+
+  * Use copytruncate in logrotate config, so that mythbackend is always
+    writing to mythbackend.log, as a workaround until such time as I get
+    around to adding a signal handler to mythtv to reopen the logfile
+    (thanks to Brad Fritz)
+  * Remove build-depends: linux-kernel-headers
+  * Provide concrete alternative libmysqlclient10-dev for virtual package
+    libmysqlclient-dev
+
+ -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Mar 2004 19:43:31 -0800
+
+mythtv (0.14-5) unstable; urgency=low
+
+  * Include ALSA and ARTS support
+  * Preserve permissions on /etc/mythtv/mysql.txt if they are changed
+
+ -- Matt Zimmerman <mdz@debian.org>  Fri, 20 Feb 2004 15:32:58 -0800
+
+mythtv (0.14-4) unstable; urgency=low
+
+  * Add missing ttf-freefont dependency
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 18 Feb 2004 23:36:29 -0800
+
+mythtv (0.14-3) unstable; urgency=low
+
+  * Replace FreeMono.ttf, FreeSans.ttf with a symlink to the one in ttf-freefont
+  * Move setup.xml and font symlinks into mythtv-common, since they're
+    needed by mythtv-setup
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 18 Feb 2004 11:09:21 -0800
+
+mythtv (0.14-2) unstable; urgency=low
+
+  * Move themes into mythtv-common, as they're needed for the backend
+    setup as well
+  * mythtv-common Replaces mythtv-frontend (<< 0.14-2)
+  * New binary package mythtv-debug, which has debugging symbols for
+    mythtv-frontend, mythtv-backend and libmyth.  No more recompiling just
+    to get backtraces.
+  * Build with -O2 -g -march=pentiumpro (rather than -O3 -fomit-frame-pointer)
+
+ -- Matt Zimmerman <mdz@debian.org>  Sat, 31 Jan 2004 20:35:36 -0800
+
+mythtv (0.14-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Matt Zimmerman <mdz@debian.org>  Sat, 31 Jan 2004 14:43:48 -0800
+
+mythtv (0.13-6) unstable; urgency=low
+
+  * Add a check to ensure that the package isn't being built under /usr,
+    due to #180240 (which shows no signs of being fixed)
+  * Remove debconf prompts from mythtv-frontend which used to be used to
+    configure the backend location; this is now done inside the UI
+
+ -- Matt Zimmerman <mdz@debian.org>  Sat, 24 Jan 2004 12:29:06 -0800
+
+mythtv (0.13-5) unstable; urgency=low
+
+  * Don't compress the mythbackend log when rotating it (it doesn't get
+    reopened yet)
+  * Install configfiles/* as examples
+
+ -- Matt Zimmerman <mdz@debian.org>  Mon, 12 Jan 2004 09:54:06 -0800
+
+mythtv (0.13-4) unstable; urgency=low
+
+  * Enable DVB and LIRC support
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 14 Dec 2003 11:57:23 -0800
+
+mythtv (0.13-3) unstable; urgency=low
+
+  * Apply tvformat.fix.0.13.diff to fix problem where tvformat column was
+    not properly initialized
+
+ -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Dec 2003 23:43:53 -0800
+
+mythtv (0.13-2) unstable; urgency=low
+
+  * Include mythtvosd in mythtv-frontend until such time as I decide where
+    it really belongs
+
+ -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Dec 2003 16:00:49 -0800
+
+mythtv (0.13-1) unstable; urgency=low
+
+  * New upstream release (packaged at last)
+  * No more database upgrade scripts (hurrah)
+
+ -- Matt Zimmerman <mdz@debian.org>  Fri, 12 Dec 2003 15:14:01 -0800
+
+mythtv (0.11-6) unstable; urgency=low
+
+  * Rebuild with gcc 3.3.2-0pre2.  Building with 3.3.2-0pre3 is broken due to
+    #210848
+
+ -- Matt Zimmerman <mdz@debian.org>  Thu, 18 Sep 2003 10:47:50 -0400
+
+mythtv (0.11-5) unstable; urgency=low
+
+  * Make sure that debian/mythsql is executable (it is created by the
+    Debian diff)
+
+ -- Matt Zimmerman <mdz@debian.org>  Tue, 16 Sep 2003 09:06:10 -0400
+
+mythtv (0.11-4) unstable; urgency=low
+
+  * Fix another problem initializing the database on fresh installs
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 20 Aug 2003 22:29:48 -0400
+
+mythtv (0.11-3) unstable; urgency=low
+
+  * Add Suggests for the various add-ons
+  * Fix a strange problem in the mythtv-database postinst which broke
+    fresh installs
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 20 Aug 2003 21:30:51 -0400
+
+mythtv (0.11-2) unstable; urgency=low
+
+  * Clean up database handling a bunch, adding a script (mythsql) which
+    can be used by the add-ons to initialize their database without messy
+    postinst tricks
+  * mythtv-common Depends: mysql-client
+  * Fix description for libmyth-0.11-dev
+
+ -- Matt Zimmerman <mdz@debian.org>  Fri, 15 Aug 2003 23:28:39 -0400
+
+mythtv (0.11-1) unstable; urgency=low
+
+  * New upstream release
+  * Run qmake before make, because qmake puts broken dependencies into the
+    Makefile
+
+ -- Matt Zimmerman <mdz@debian.org>  Fri, 15 Aug 2003 15:24:48 -0400
+
+mythtv (0.10-4) unstable; urgency=low
+
+  * Don't attempt to drop the database in postrm.  Too many people screw up
+    the username/password configuration and then can't purge it 
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 30 Jul 2003 09:03:17 -0400
+
+mythtv (0.10-3) unstable; urgency=low
+
+  * Include mythcommflag in mythtv-backend.  Thanks to Jim <jim@jtan.com>
+    for pointing this out.
+  * Include i18n files for mythfrontend
+  * Include mythtranscode binary in mythtv-backend
+  * Build-Depend on libfreetype6-dev rather than libttf-dev.  Thanks to
+    Eduardo P?rez Ureta <eperez@it.uc3m.es>
+
+ -- Matt Zimmerman <mdz@debian.org>  Tue, 22 Jul 2003 20:03:46 -0400
+
+mythtv (0.10-2) unstable; urgency=low
+
+  * Add /etc/default/mythtv-backend with some handy options for controlling
+    the startup of the backend 
+  * Include patch from upstream CVS to work correctly with xmltv 0.5.15
+  * Use exact versioned dependencies for the mythtv metapackage to make it
+    easy to keep everything in sync
+
+ -- Matt Zimmerman <mdz@debian.org>  Thu, 10 Jul 2003 00:02:57 -0400
+
+mythtv (0.10-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Matt Zimmerman <mdz@debian.org>  Tue,  1 Jul 2003 21:22:40 -0400
+
+mythtv (0.9.1-1) unstable; urgency=low
+
+  * New upstream release
+  * Add keys.txt to documentation
+
+ -- Matt Zimmerman <mdz@debian.org>  Tue, 10 Jun 2003 16:51:45 -0400
+
+mythtv (0.9-2) unstable; urgency=low
+
+  * Fix permissions on /var/lib/mythtv and /var/cache/mythtv
+
+ -- Matt Zimmerman <mdz@debian.org>  Tue, 10 Jun 2003 14:33:02 -0400
+
+mythtv (0.9-1) unstable; urgency=low
+
+  * New upstream release
+  * Recommend mythtv-doc in a few places
+  * Fix default paths in backend setup; apparently this was lost in the 0.8
+    merge.  The correct defaults are /var/lib/mythtv and /var/cache/mythtv for
+    recordings and live tv, respectively.  Permissions are automatically set
+    appropriately on these directories by default.
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed,  4 Jun 2003 23:12:05 -0400
+
+mythtv (0.8-11) unstable; urgency=low
+
+  * Print a warning if any old myth stuff is found in /usr/local 
+    (too many complaints about "broken" packages caused by old libraries and
+     binaries)
+
+ -- Matt Zimmerman <mdz@debian.org>  Fri,  4 Apr 2003 15:10:00 -0500
+
+mythtv (0.8-10) unstable; urgency=low
+
+  * Clean /var/log/mythtv on purge of mythtv-backend
+  * Clarify the debconf note which explains about running setup, so that
+    it includes a note about X and explains how to start the backend
+    afterward.
+  * Clarify package descriptions to explain their relationships
+  * Raise the priority of the question about the mysql admin password to
+    'high', and add some additional info to it.  There is a dilemma here
+    between confusing users by asking this question (when they have not
+    set a password), and confusing them by skipping it (when the user has
+    set a password)
+  * Move the dependency on the Qt mysql module to libmyth-0.8 where it is
+    shared by all packages which depend on it
+
+ -- Matt Zimmerman <mdz@debian.org>  Thu, 20 Mar 2003 09:34:41 -0500
+
+mythtv (0.8-9) unstable; urgency=low
+
+  * Fix display of hostname in informational message in postinst
+  * Fix log rotation (mythfilldatabase.log no longer exists, rotate
+    mythbackend.log)
+  * Fix permissions on /var/log/mythtv in mythtv-backend postinst
+  * Move database drop from mythtv-common to mythtv-database
+  * Fix removal of /etc/mythtv in mythtv-common on purge
+  * Create mythbackend.log with proper permissions
+  * Generate the random database password in mythtv-common, not
+    mythtv-database (would end up with a blank password in
+    /etc/mythtv/mysql.txt)
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 19 Mar 2003 10:40:37 -0500
+
+mythtv (0.8-8) unstable; urgency=low
+
+  * Fix error introduced in 0.8-7
+
+ -- Matt Zimmerman <mdz@debian.org>  Mon, 17 Mar 2003 00:09:43 -0500
+
+mythtv (0.8-7) unstable; urgency=low
+
+  * Close all file descriptors when daemonizing the backend, to avoid a
+    hang when using debconf in mythtv-backend postinst
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 23:41:33 -0500
+
+mythtv (0.8-6) unstable; urgency=low
+
+  * Oops, load confmodule in mythtv-backend.postinst
+  * mythtv-backend Depends: debconf
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 23:30:26 -0500
+
+mythtv (0.8-5) unstable; urgency=low
+
+  * Finish moving creation of v4l devices to mythtv-backend from
+    mythtv-common
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 23:19:05 -0500
+
+mythtv (0.8-4) unstable; urgency=low
+
+  * Make 'mythtv' Architecture: all, since it is just a metapackage now
+  * Do automated database upgrade from 0.7
+  * Fix cron.daily pathname in informational message in setup
+  * Fix quoting in cron.daily/mythtv-backend
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 23:04:16 -0500
+
+mythtv (0.8-3) unstable; urgency=low
+
+  * Return proper exit status from DoSQL in postinst (broke initial
+    creation of the database and error detection)
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 22:43:25 -0500
+
+mythtv (0.8-2) unstable; urgency=low
+
+  * Split database configuration into a separate package, mythtv-database,
+    which should be installed where the mysql server is
+  * Make config file substitution in postinst scripts a bit more robust
+  * Add mythtv-doc package with HOWTO
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 17:14:46 -0500
+
+mythtv (0.8-1) unstable; urgency=low
+
+  * New upstream release
+  * Split up backend and frontend into separate packages
+  * Add some error checking in postinst to give more meaningful error
+    messages when database operations fail
+  * Attempt to migrate cron and logrotate config from mythtv to
+    mythtv-backend
+  * Install new program mythprogfind
+  * Fix up copyright file
+  * Use --quiet in mythfilldatabase cron job, and report errors via cron,
+    rather than writing a logfile
+  * mythtv-backend Depends: libqt3c102-mt-mysql | libqt3-mt-mysql, to
+    support unstable
+  * Clean up dependencies a bit, so they should work correctly for
+    distributed setups (though I have none to test at present)
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 16 Mar 2003 12:52:31 -0500
+
+mythtv (0.7-12) unstable; urgency=low
+
+  * Add missing '-c' option in example for running mythtv-setup 
+
+ -- Matt Zimmerman <mdz@debian.org>  Thu, 21 Nov 2002 16:27:25 -0500
+
+mythtv (0.7-11) unstable; urgency=low
+  
+  * Improve the run_setup template to omit the now-unnecessary --shell
+    option to su, and to give some instruction on how to properly start
+    mythtv for those who don't read README.Debian.
+  * Add workaround for pwgen bug #118181, which exists in woody and was
+    causing the strange failures with exit code 160.
+
+ -- Matt Zimmerman <mdz@debian.org>  Tue, 19 Nov 2002 11:24:23 -0500
+
+mythtv (0.7-10) unstable; urgency=low
+
+  * Add Bugs: header to control file.  Please use reportbug to report
+    problems with these packages
+  * Include keys.txt in documentation (describes key bindings)
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Nov 2002 17:22:11 -0500
+
+mythtv (0.7-9) unstable; urgency=low
+
+  * When generating a random password, store it in the debconf database for
+    next time 
+
+ -- Matt Zimmerman <mdz@debian.org>  Fri, 15 Nov 2002 18:16:06 -0500
+
+mythtv (0.7-8) unstable; urgency=low
+
+  * Fix sections
+  * Redirect mythfilldatabase stderr to the logfile, as well as stdout
+    (filed Debian bug #169157 against xmltv to get this fixed right)
+  * Add missing dependency on pwgen
+
+ -- Matt Zimmerman <mdz@debian.org>  Thu, 14 Nov 2002 21:24:31 -0500
+
+mythtv (0.7-7) unstable; urgency=low
+
+  * Depend on pwgen, and generate a random password if none is specified
+  * Fix setup text to not recommend "su --shell" since the mythtv user now
+    has a real shell
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Nov 2002 23:47:55 -0500
+
+mythtv (0.7-6) unstable; urgency=low
+
+  * Depend on adduser
+  * Ensure that we are doing an upgrade before comparing the version
+    number
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Nov 2002 23:19:12 -0500
+
+mythtv (0.7-5) unstable; urgency=low
+
+  * Split libmyth into its own package(s) in order to facilitate packaging
+    of add-ons such as mythmusic and mythweb
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Nov 2002 19:45:51 -0500
+
+mythtv (0.7-4) unstable; urgency=low
+
+  * Add a real package description
+  * Add a README.Debian
+  * Create the mythtv user with shell /bin/sh, and change the shell on
+    upgrade from a previous version
+  * Flesh out some of the debconf questions with more explanations
+
+ -- Matt Zimmerman <mdz@debian.org>  Tue, 12 Nov 2002 23:17:58 -0500
+
+mythtv (0.7-3) unstable; urgency=low
+
+  * Revert to the RingBuffer in 0.7-1 for now
+  * Build against woody libc6
+
+ -- Matt Zimmerman <mdz@debian.org>  Sun, 10 Nov 2002 18:44:49 -0500
+
+mythtv (0.7-2) unstable; urgency=low
+
+  * Revert RingBuffer changes, which caused a drastic performance decrease on
+    my installation
+  * Improve clean target
+
+ -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Nov 2002 22:19:17 -0500
+
+mythtv (0.7-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Nov 2002 17:38:51 -0500
+
+mythtv (0.6+cvs.20021109-1) unstable; urgency=low
+
+  * Synched with upstream CVS
+  * Make a shlibs file and corresponding virtual package for libmyth
+  * Add dependency on wget, used for fetching channel logos
+  * Fix permissions on configuration files
+
+ -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Nov 2002 15:56:47 -0500
+
+mythtv (0.6+cvs.20021106-3) unstable; urgency=low
+
+  * Grant privileges to user@localhost as well as user@'%' so that stuff
+    should work with a local database
+  * Add documentation
+  * Call MAKEDEV to create v4l devices with appropriate permissions
+  * Create database tables using mc.sql
+  * Add lots more configuration options
+  * Patch setup to explain how to run mythfilldatabase as the mythtv user
+
+ -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Nov 2002 15:20:32 -0500
+
+mythtv (0.6+cvs.20021106-2) unstable; urgency=low
+
+  * First attempt at database setup at install time
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed,  6 Nov 2002 23:28:39 -0500
+
+mythtv (0.6+cvs.20021106-1) unstable; urgency=low
+
+  * Synched with upstream CVS
+  
+ -- Matt Zimmerman <mdz@debian.org>  Wed,  6 Nov 2002 19:38:20 -0500
+
+mythtv (0.6+cvs.20021105-1) unstable; urgency=low
+
+  * Synched with upstream CVS
+
+ -- Matt Zimmerman <mdz@debian.org>  Tue,  5 Nov 2002 22:51:35 -0500
+
+mythtv (0.6+cvs.20021031-1) unstable; urgency=low
+
+  * Synched with upstream CVS
+  * Move config files to /etc/mythtv
+  * postinst: Create mythtv user and set permissions
+
+ -- Matt Zimmerman <mdz@debian.org>  Thu, 31 Oct 2002 22:28:33 -0500
+
+mythtv (0.6-1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 16 Oct 2002 23:20:56 -0400
+
diff -ruaN mythtv-0.19-fixes.orig/debian/control mythtv-0.19-fixes/debian/control
--- mythtv-0.19-fixes.orig/debian/control	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/control	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,154 @@
+Source: mythtv
+Section: graphics
+Priority: optional
+Maintainer: Matt Zimmerman <mdz@debian.org>
+Build-Depends: debhelper (>> 3.0.0), libqt3-mt-dev, libmysqlclient10-dev | libmysqlclient-dev, libfreetype6-dev, libvorbis-dev, liblame-dev, liblircclient-dev, libartsc0-dev, libasound2-dev, libxinerama-dev | xlibs-static-dev (<< 6.8.1-1), libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1)
+Standards-Version: 3.5.4
+Bugs: mailto:mdz@debian.org
+
+Package: mythtv
+Architecture: all
+Depends: mythtv-database (= ${Source-Version}), mythtv-frontend (= ${Source-Version}), mythtv-backend (= ${Source-Version})
+Recommends: mythtv-doc
+Description: A personal video recorder application (client and server)
+ MythTV implements the following PVR features, and more, with a
+ unified graphical interface:
+ .
+  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
+  - Video compression using RTjpeg or MPEG-4
+  - Program listing retrieval using XMLTV
+  - Themable, semi-transparent on-screen display
+  - Electronic program guide
+  - Scheduled recording of TV programs
+  - Resolution of conflicts between scheduled recordings
+  - Basic video editing
+ .
+ http://www.mythtv.org/
+ .
+ This package will install a complete MythTV client/server environment
+ on a single system.
+
+Package: mythtv-common
+Architecture: all
+Depends: debconf, adduser, pwgen, mysql-client, ttf-freefont
+Recommends: mythtv-doc (= ${Source-Version})
+Conflicts: mythtv (<< 0.8-1)
+Replaces: mythtv (<< 0.8-1), mythtv-frontend (<< 0.15-3)
+Description: A personal video recorder application (common data)
+ MythTV provides a unified graphical interface for recording and viewing
+ television programs.  Refer to the mythtv package for more information.
+ .
+ This package contains infrastructure needed by both the client and
+ the server.
+
+Package: mythtv-doc
+Architecture: all
+Conflicts: mythtv (<< 0.8-1)
+Replaces: mythtv (<< 0.8-1)
+Description: A personal video recorder application (documentation)
+ MythTV provides a unified graphical interface for recording and viewing
+ television programs.  Refer to the mythtv package for more information.
+ .
+ This package contains documentation, including the MythTV HOWTO.
+
+Package: mythtv-database
+Architecture: all
+Depends: mythtv-common (= ${Source-Version}), libdbd-mysql-perl, mysql-server, debconf
+Conflicts: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
+Replaces: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
+Description: A personal video recorder application (database)
+ MythTV provides a unified graphical interface for recording and viewing
+ television programs.  Refer to the mythtv package for more information.
+ .
+ This package sets up a MySQL database for use my MythTV.  It should be
+ installed on the system where the MySQL server resides.
+
+Package: mythtv-backend
+Architecture: any
+Depends: mythtv-common (= ${Source-Version}), ${shlibs:Depends}, cron, wget, debconf
+Conflicts: mythtv (<< 0.8-1)
+Replaces: mythtv (<< 0.8-1)
+Recommends: mythtv-database, logrotate, xmltv-util
+Suggests: mythtv-frontend, mythweb, mythtv-debug
+Description: A personal video recorder application (server)
+ MythTV provides a unified graphical interface for recording and viewing
+ television programs.  Refer to the mythtv package for more information.
+ .
+ This package contains only the server software, which provides video
+ and audio capture and encoding services.  In order to be useful, it
+ requires a mythtv-frontend installation, either on the same system or
+ one reachable via the network.
+ .
+ A database is also required.  The mythtv-database package must be
+ installed, either on the same system, or one reachable via the
+ network.
+ .
+ For a complete installation of all MythTV components, install the
+ 'mythtv' package.
+
+Package: mythtv-frontend
+Architecture: any
+Depends: mythtv-common (= ${Source-Version}), ${shlibs:Depends}, debconf, adduser
+Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythdvd, mythvideo, mythgame
+Conflicts: mythtv (<< 0.8-1)
+Replaces: mythtv (<< 0.8-1)
+Recommends: mysql-server
+Suggests: mythtv-backend, mythtv-debug
+Description: A personal video recorder application (client)
+ MythTV provides a unified graphical interface for recording and viewing
+ television programs.  Refer to the mythtv package for more information.
+ .
+ This package contains only the client software, which provides a
+ front-end for playback and configuration.  It requires access to a
+ mythtv-backend installation, either on the same system or one
+ reachable via the network.
+ .
+ A database is also required.  The mythtv-database package must be
+ installed, either on the same system, or one reachable via the
+ network.
+ .
+ For a complete installation of all MythTV components, install the
+ 'mythtv' package.
+
+Package: libmyth-0.19
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends}, libqt3c102-mt-mysql
+Conflicts: mythtv (<< 0.7-5)
+Replaces: mythtv (<< 0.7-5)
+Suggests: mythtv-debug
+Description: Common library code for MythTV and add-on modules (runtime)
+ MythTV provides a unified graphical interface for recording and viewing
+ television programs.  Refer to the mythtv package for more information.
+ .
+ This package contains a shared library, libmyth, which is used by
+ various components in the system.
+
+Package: libmyth-0.19-dev
+Architecture: any
+Section: devel
+Depends: libmyth-0.19 (= ${Source-Version}), libqt3c102-mt-dev | libqt3-mt-dev
+Provides: libmyth-dev
+Conflicts: libmyth-dev
+Description: Common library code for MythTV and add-on modules (development)
+ MythTV provides a unified graphical interface for recording and viewing
+ television programs.  Refer to the mythtv package for more information.
+ .
+ This package contains files needed for developing applications which
+ use libmyth (such as the various add-ons for MythTV)
+
+Package: mythtv-debug
+Architecture: any
+Section: devel
+Depends: libmyth-0.19 (= ${Source-Version}) | mythtv-frontend (= ${Source-Version}) | mythtv-backend (= ${Source-Version})
+Description: Debugging symbols for MythTV
+ MythTV provides a unified graphical interface for recording and viewing
+ television programs.  Refer to the mythtv package for more information.
+ .
+ This package contains debugging symbols for mythtv-frontend,
+ mythtv-backend and libmyth.  You'll want these if you need to run
+ MythTV in a debugger such as gdb.
+ .
+ Once this package is installed, you can run gdb on your existing
+ MythTV binaries as if they had been compiled with debugging
+ information.
diff -ruaN mythtv-0.19-fixes.orig/debian/copyright mythtv-0.19-fixes/debian/copyright
--- mythtv-0.19-fixes.orig/debian/copyright	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/copyright	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,55 @@
+This package was debianized by Matt Zimmerman <mdz@debian.org> on
+Wed, 16 Oct 2002 23:20:56 -0400.
+
+It was downloaded from http://www.mythtv.org/
+
+Upstream Author(s):
+
+Main Author: 
+    Isaac Richards <ijr@po.cwru.edu>
+
+Original NuppelVideo version: 
+    Roman HOCHLEITNER <roman at mars.tuwien.ac.at>
+libavcodec, from ffmpeg.sf.net:
+    Fabrice Bellard <fabrice.bellard at free.fr>
+Rewritten player class and improved a/v sync code:
+    John Coiner <jcoiner at stanfordalumni.org>
+TangoBlue theme:
+    Forrest Walter - www.forrestwalter.com
+LiquidTV theme:
+    jer warren <>
+Selectable GUI sizes:
+    thor at lamedomainname.com
+Video Filters:
+    Richard Jones <richard at earthmen.com>
+Misc changes:
+    Grant Taylor <gtaylor at picante.com>
+Colorize the EPG:
+    skrpub <skrpub at earthlink.net>
+Bugfixes, EPG updates, more UK friendly database filling, lots of other things:
+    Andrew M. Bishop <amb at gedanken.demon.co.uk>
+Non-integer channel fixes, customizable date displays:
+    Jens Lohmann-Hansen <JensLH at adslhome.dk>
+Modifyable install prefix, recording/scheduler improvements, mono support, more:
+    Jim Radford <jim at blackbean.org>
+Keybinding to toggle fullscreen playback, EPG speedups:
+    Erik Arendse <erik.arendse at bigfoot.com>
+EPG/filldatabase enhancements:
+    Christian Hoenig <me at christianhoenig.de>
+Setup enhancements:
+    Dan Schwarz <dschwarz at bellatlantic.net>
+Large amount of documentation:
+    Robert Kulagowski <rkulagowski at thrupoint.net>
+Alternative EPG layout:
+    John Danner <johndanner at psu.edu>
+Graphical setup UI, database backend for configuration, initial direct rendering support
+    Matt Zimmerman <mdz at debian.org>
+
+Copyright:
+
+MythTV is distributed under the terms of the GPL, version 2 only.
+If you don't have a copy of the GPL, get one at:
+     http://www.gnu.org/licenses/gpl.txt
+
+On Debian systems, a copy of the GPL can be found in
+/usr/share/common-licenses/GPL.
diff -ruaN mythtv-0.19-fixes.orig/debian/libmyth-0.19-dev.files mythtv-0.19-fixes/debian/libmyth-0.19-dev.files
--- mythtv-0.19-fixes.orig/debian/libmyth-0.19-dev.files	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/libmyth-0.19-dev.files	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,2 @@
+usr/lib/libmyth*.so
+usr/include/mythtv
diff -ruaN mythtv-0.19-fixes.orig/debian/libmyth-0.19.files mythtv-0.19-fixes/debian/libmyth-0.19.files
--- mythtv-0.19-fixes.orig/debian/libmyth-0.19.files	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/libmyth-0.19.files	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/libmyth*.so.*
diff -ruaN mythtv-0.19-fixes.orig/debian/mysql.txt.dist mythtv-0.19-fixes/debian/mysql.txt.dist
--- mythtv-0.19-fixes.orig/debian/mysql.txt.dist	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mysql.txt.dist	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,4 @@
+DBHostName=localhost
+DBUserName=mythtv
+DBName=mythconverg
+DBPassword=
diff -ruaN mythtv-0.19-fixes.orig/debian/mythsql mythtv-0.19-fixes/debian/mythsql
--- mythtv-0.19-fixes.orig/debian/mythsql	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythsql	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,22 @@
+#!/bin/sh -e
+
+temp=$(tempfile)
+
+. /etc/mythtv/mysql.txt
+
+cat >$temp <<EOF
+[client]
+user=$DBUserName
+password=$DBPassword
+database=$DBName
+host=$DBHostName
+EOF
+
+set +e
+mysql --defaults-extra-file=$temp
+set -e
+ret=$?
+
+rm -f $temp
+
+exit $ret
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-backend.NEWS mythtv-0.19-fixes/debian/mythtv-backend.NEWS
--- mythtv-0.19-fixes.orig/debian/mythtv-backend.NEWS	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-backend.NEWS	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,12 @@
+mythtv (0.15.1-1) unstable; urgency=low
+
+  * As of version 0.15-1, the tv_grab_na grabber from xmltv is now
+    deprecated in favour of the Zap2It Data Direct service.  If you are
+    using tv_grab_na, you must register for the new service and run
+    mythtv-setup to configure MythTV to use it.  See:
+  
+    http://www.mythtv.org/docs/mythtv-HOWTO-21.html#MigratingtoDD
+  
+    for instructions.
+
+ -- Matt Zimmerman <mdz@debian.org>  Wed, 26 May 2004 22:53:35 -0700
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-backend.config mythtv-0.19-fixes/debian/mythtv-backend.config
--- mythtv-0.19-fixes.orig/debian/mythtv-backend.config	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-backend.config	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,9 @@
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+db_input low mythtv/create_v4l_devs || true
+db_input high mythtv/run_setup || true
+db_go
+
+exit 0
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-backend.default mythtv-0.19-fixes/debian/mythtv-backend.default
--- mythtv-0.19-fixes.orig/debian/mythtv-backend.default	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-backend.default	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,11 @@
+# User as which to run
+#USER=mythtv
+
+# Replace all arguments to mythtv-backend
+#ARGS=""
+
+# Append additional arguments
+#EXTRA_ARGS="--verbose"
+
+# Set priority
+#NICE=-10
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-backend.files mythtv-0.19-fixes/debian/mythtv-backend.files
--- mythtv-0.19-fixes.orig/debian/mythtv-backend.files	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-backend.files	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,5 @@
+usr/bin/mythbackend
+usr/bin/mythtv-setup
+usr/bin/mythfilldatabase
+usr/bin/mythcommflag
+usr/bin/mythtranscode
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-backend.init mythtv-0.19-fixes/debian/mythtv-backend.init
--- mythtv-0.19-fixes.orig/debian/mythtv-backend.init	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-backend.init	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,73 @@
+#! /bin/sh
+#
+# mythtv-server MythTV capture and encoding backend
+#
+# Based on:
+#
+# skeleton	example file to build /etc/init.d/ scripts.
+#		This file should be used to construct scripts for /etc/init.d.
+#
+#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+#		Modified for Debian GNU/Linux
+#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+#
+# Version:	@(#)skeleton  1.9.1  08-Apr-2002  miquels@cistron.nl
+#
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/mythbackend
+NAME="mythbackend"
+DESC="MythTV server"
+
+test -x $DAEMON || exit 0
+
+set -e
+
+USER=mythtv
+RUNDIR=/var/run/mythtv
+ARGS="--daemon --logfile /var/log/mythtv/mythbackend.log --pidfile $RUNDIR/$NAME.pid"
+EXTRA_ARGS=""
+NICE=0
+
+if [ -f /etc/default/mythtv-backend ]; then
+  . /etc/default/mythtv-backend
+fi
+
+ARGS="$ARGS $EXTRA_ARGS"
+
+mkdir -p $RUNDIR
+chown -R $USER $RUNDIR
+
+
+case "$1" in
+  start)
+	echo -n "Starting $DESC: $NAME"
+	start-stop-daemon --start --pidfile $RUNDIR/$NAME.pid \
+		--chuid $USER --nicelevel $NICE --exec $DAEMON -- $ARGS
+	echo "."
+	;;
+  stop)
+	echo -n "Stopping $DESC: $NAME "
+	start-stop-daemon --stop --oknodo --pidfile $RUNDIR/$NAME.pid \
+		--chuid $USER --exec $DAEMON -- $ARGS
+	echo "."
+	;;
+  restart|force-reload)
+	echo -n "Restarting $DESC: $NAME"
+	start-stop-daemon --stop --oknodo --pidfile $RUNDIR/$NAME.pid \
+                --chuid $USER --exec $DAEMON -- $ARGS
+	echo "."
+	sleep 3
+	start-stop-daemon --start --pidfile $RUNDIR/$NAME.pid \
+                --chuid $USER --nicelevel $NICE --exec $DAEMON -- $ARGS
+	echo "."
+	;;
+  *)
+	N=/etc/init.d/$NAME
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $N {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-backend.logrotate mythtv-0.19-fixes/debian/mythtv-backend.logrotate
--- mythtv-0.19-fixes.orig/debian/mythtv-backend.logrotate	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-backend.logrotate	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,6 @@
+/var/log/mythtv/mythbackend.log {
+        daily
+        rotate 7
+        notifempty
+        copytruncate
+}
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-backend.postinst mythtv-0.19-fixes/debian/mythtv-backend.postinst
--- mythtv-0.19-fixes.orig/debian/mythtv-backend.postinst	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-backend.postinst	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,60 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+case "$1" in
+    configure)
+        if [ ! -e /dev/.devfsd ]; then
+            . /usr/share/debconf/confmodule
+
+            db_get mythtv/create_v4l_devs
+            if [ "$RET" = "true" ]; then
+                (cd /dev && MAKEDEV v4l)
+            fi
+        fi
+
+        for dir in /var/log/mythtv /var/lib/mythtv /var/cache/mythtv; do
+	    if ! dpkg-statoverride --list $dir >/dev/null; then
+	        chown mythtv:mythtv $dir
+    	        chmod 2775 $dir
+            fi
+        done
+
+        if [ -z "$2" ]; then
+            # Migrate from old mythtv -> mythtv-backend
+
+            [ -f /etc/logrotate.d/mythtv ] && \
+                mv /etc/logrotate.d/mythtv /etc/logrotate.d/mythtv-backend
+
+            # Errors now sent via cron
+            rm -f /var/log/mythtv/mythfilldatabase.log*
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-backend.postrm mythtv-0.19-fixes/debian/mythtv-backend.postrm
--- mythtv-0.19-fixes.orig/debian/mythtv-backend.postrm	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-backend.postrm	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,46 @@
+#! /bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+    purge)
+
+        rm -f /var/log/mythtv/mythbackend.log*
+        if test -d /var/log/mythtv; then
+          rmdir --ignore-fail-on-non-empty /var/log/mythtv
+        fi
+
+        ;;
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-backend.templates mythtv-0.19-fixes/debian/mythtv-backend.templates
--- mythtv-0.19-fixes.orig/debian/mythtv-backend.templates	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-backend.templates	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,19 @@
+Template: mythtv/create_v4l_devs
+Type: boolean
+Default: true
+Description: Is it OK to create the video4linux device nodes?
+
+Template: mythtv/run_setup
+Type: note
+Description: mythtv-setup must be run in order to complete MythTV installation
+ You must run mythtv-setup as the 'mythtv' user in order to complete mythtv
+ configuration.  Note that this program requires an X display, so you must
+ either login to an X session as the 'mythtv' user, or otherwise arrange for
+ that user to have access to your X display.
+ .
+ You must complete all four steps presented in the program.
+ .
+ Once you have done this, you may start the backend by executing the
+ following command as root:
+ .
+ /etc/init.d/mythtv-backend start
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-common.config mythtv-0.19-fixes/debian/mythtv-common.config
--- mythtv-0.19-fixes.orig/debian/mythtv-common.config	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-common.config	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,35 @@
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+found_bogons=""
+for bogon in bin/mythfilldatabase bin/mythfrontend bin/mythbackend \
+    lib/libmyth-0.8.so.0; do
+  file=/usr/local/$bogon
+  if [ -f /usr/local/$bogon ]; then
+      found_bogons="$found_bogons $file"
+  fi
+done
+
+if [ -n "$found_bogons" ]; then
+    db_subst mythtv/old_bins files "$found_bogons"
+    db_input high mythtv/old_bins || true
+fi
+
+CONFIG=/etc/mythtv/mysql.txt
+if [ -e $CONFIG ]; then
+    db_set mythtv/mysql_mythtv_dbname "`sed -n -e 's/^\(str  *\)\?DBName=\(.*\)$/\2/gp;' $CONFIG`"
+    db_set mythtv/mysql_mythtv_user "`sed -n -e 's/^\(str  *\)\?DBUserName=\(.*\)$/\2/gp;' $CONFIG`"
+    db_set mythtv/mysql_mythtv_password "`sed -n -e 's/^\(str  *\)\?DBPassword=\(.*\)$/\2/gp;' $CONFIG`"
+    db_set mythtv/mysql_host "`sed -n -e 's/^\(str  *\)\?DBHostName=\(.*\)$/\2/gp;' $CONFIG`"
+fi
+
+db_input low mythtv/mysql_mythtv_dbname || true
+db_input low mythtv/mysql_mythtv_user || true
+db_input low mythtv/mysql_mythtv_password || true
+
+db_input medium mythtv/mysql_host || true
+
+db_go
+
+exit 0
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-common.files mythtv-0.19-fixes/debian/mythtv-common.files
--- mythtv-0.19-fixes.orig/debian/mythtv-common.files	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-common.files	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,2 @@
+usr/share/mythtv/themes
+usr/share/mythtv/mysql.txt*
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-common.postinst mythtv-0.19-fixes/debian/mythtv-common.postinst
--- mythtv-0.19-fixes.orig/debian/mythtv-common.postinst	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-common.postinst	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+case "$1" in
+    configure)
+        . /usr/share/debconf/confmodule
+
+        if [ -n "$2" ] && dpkg --compare-versions "$2" lt "0.7-4"; then
+          usermod -s /bin/sh mythtv
+        fi
+        adduser --quiet --system --group --disabled-password --system \
+            --shell /bin/sh \
+            mythtv
+        adduser --quiet mythtv video
+        adduser --quiet mythtv audio
+
+        db_get mythtv/mysql_host
+        hostname="$RET"
+        db_get mythtv/mysql_mythtv_dbname
+        database="$RET"
+
+        db_get mythtv/mysql_mythtv_user
+        mythtv_username="$RET"
+        db_get mythtv/mysql_mythtv_password
+        mythtv_password="$RET"
+
+        if [ -z "$mythtv_password" ]; then
+            # workaround bug #118181 in woody
+            set +e
+            mythtv_password="$(pwgen -s 8)"
+            set -e
+            db_set mythtv/mysql_mythtv_password "$mythtv_password"
+        fi
+
+        NEW=/etc/mythtv/mysql.txt.new
+        touch $NEW
+
+        if [ -s /etc/mythtv/mysql.txt ]; then
+            INPUT=/etc/mythtv/mysql.txt
+            chown --reference=$INPUT $NEW
+            chmod --reference=$INPUT $NEW
+        else
+            INPUT=/usr/share/mythtv/mysql.txt.dist
+            chown mythtv:mythtv $NEW
+            chmod 660 $NEW
+        fi
+
+        cat $INPUT | grep -v 'DBPassword=' | sed -e "
+s/^\(\(str  *\)\?DBHostName\)=.*$/\1=$hostname/g;
+s/^\(\(str  *\)\?DBUserName\)=.*$/\1=$mythtv_username/g;
+s/^\(\(str  *\)\?DBName\)=.*$/\1=$database/g;" > $NEW
+            cat <<EOF >> $NEW
+DBPassword=$mythtv_password
+EOF
+        mv $NEW /etc/mythtv/mysql.txt
+
+        if dpkg --compare-versions "$1" lt 0.9-1 && test -f /etc/mythtv/backend_settings.txt; then
+            mv /etc/mythtv/backend_settings.txt /etc/mythtv/backend_settings.txt.dpkg-old
+        fi
+
+        ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+        ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+        ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-common.postrm mythtv-0.19-fixes/debian/mythtv-common.postrm
--- mythtv-0.19-fixes.orig/debian/mythtv-common.postrm	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-common.postrm	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,46 @@
+#! /bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+
+        rm -f /etc/mythtv/mysql.txt
+        if test -d /etc/mythtv; then
+          rmdir --ignore-fail-on-non-empty /etc/mythtv
+        fi
+
+        ;;
+       remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-common.templates mythtv-0.19-fixes/debian/mythtv-common.templates
--- mythtv-0.19-fixes.orig/debian/mythtv-common.templates	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-common.templates	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,68 @@
+Template: mythtv/mysql_mythtv_dbname
+Type: string
+Default: mythconverg
+Description: What database should be used to hold MythTV data?
+ If a database with this name already exists, it will be used.
+
+Template: mythtv/mysql_mythtv_user
+Type: string
+Default: mythtv
+Description: What username should MythTV use to access its database?
+ This user will automatically be granted appropriate permissions to
+ the database.
+
+Template: mythtv/mysql_mythtv_password
+Type: password
+Description: What password should MythTV use to access its database?
+ If you give an empty password, a random one will be generated.
+
+Template: mythtv/mysql_host
+Type: string
+Default: localhost
+Description: On what host does the MySQL server reside?
+
+Template: mythtv/run_setup
+Type: note
+Description: mythtv-setup must be run in order to complete MythTV installation
+ You must run mythtv-setup as the 'mythtv' user in order to complete mythtv
+ configuration.  For example, as root:
+ .
+ su - mythtv -c mythtv-setup
+ .
+ and follow any instructions that it gives.  Once you have done this, you
+ should be able to run mythtv as the 'mythtv' user.
+
+Template: mythtv/grabber
+Type: select
+Choices: tv_grab_de, tv_grab_na, tv_grab_sn, tv_grab_uk, tv_grab_uk_rt
+Default: tv_grab_na
+Description: Which XMLTV grabber should be used to retrieve program listings?
+  - tv_grab_na retrieves listings for North America (US and Canada)
+  - tv_grab_de retrieves listings for Germany and Austria
+  - tv_grab_sn retrieves listings for Sweden or Norway
+  - tv_grab_uk retrieves listings for the United Kingdom
+  - tv_grab_uk_rt retrieves listings for the United Kingdom (alternate)
+
+Template: mythtv/tv_format
+Type: select
+Choices: NTSC, PAL, SECAM, PAL-NC, PAL-M, PAL-N, NTSC-JP
+Default: NTSC
+Description: Which television standard should be used by MythTV?
+
+Template: mythtv/freqtable
+Type: select
+Choices: us-bcast, us-cable, us-cable-hrc, japan-bcast, japan-cable, europe-west, europe-east, italy, newzealand, australia, ireland, france, china-bcast, southafrica, argentina, canada-cable, australia-optus
+Default: us-cable
+Description: Which channel frequency table should be used by MythTV?
+
+Template: mythtv/old_bins
+Type: note
+Description: WARNING: old MythTV binaries found
+ It appears that you have installed mythtv from source previously, and some
+ files remain from the previous installation, including at least:
+ .
+ ${files}
+ .
+ Installation of these packages should succeed, but you MUST remove
+ these files in order for the packaged version of MythTV to work
+ properly.
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-database.config mythtv-0.19-fixes/debian/mythtv-database.config
--- mythtv-0.19-fixes.orig/debian/mythtv-database.config	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-database.config	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+
+. /usr/share/debconf/confmodule
+
+db_input low mythtv/mysql_admin_user || true
+
+db_get mythtv/mysql_admin_user
+USER="$RET"
+
+db_subst mythtv/mysql_admin_password user "$USER"
+db_input high mythtv/mysql_admin_password || true
+
+db_go || true
+
+exit 0
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-database.files mythtv-0.19-fixes/debian/mythtv-database.files
--- mythtv-0.19-fixes.orig/debian/mythtv-database.files	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-database.files	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1 @@
+usr/share/mythtv/sql
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-database.postinst mythtv-0.19-fixes/debian/mythtv-database.postinst
--- mythtv-0.19-fixes.orig/debian/mythtv-database.postinst	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-database.postinst	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,122 @@
+#!/bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+escape_quotes() {
+    cat <<EOF | sed -e "s/'/\\\\'/g"
+$1
+EOF
+}
+
+DoSQL() {
+    local host="$1"
+    local admin_username="$2"
+    local admin_password="$3"
+    local database="$4"
+    local statement="`escape_quotes \"$5\"`"
+    local tmp=`tempfile -m 600`
+        cat <<EOF >$tmp
+$admin_password
+EOF
+    perl -e "
+use DBI;
+chomp(\$password=<>);
+@statements=split(/;/, '$statement');
+\$db = DBI->connect('dbi:mysql:host=$host;database=$database',
+                    '$admin_username', \$password,
+                    { PrintError => 0 }) || die 'Failed to connect to database: ' . \$DBI::errstr;
+for \$s (@statements) { \$db->do(\$s) || die 'Failed to execute SQL: ' . \$s . '\n' . \$DBI::errstr; }
+" < $tmp
+    ret=$?
+    rm -f $tmp
+    return $ret
+}
+
+MYTHSQL=/usr/share/mythtv/mythsql
+
+case "$1" in
+    configure)
+        . /usr/share/debconf/confmodule
+
+        db_get mythtv/mysql_admin_user
+        admin_username="$RET"
+        db_get mythtv/mysql_admin_password
+        admin_password="$RET"
+
+        db_get mythtv/mysql_host
+        hostname="$RET"
+        db_get mythtv/mysql_mythtv_dbname
+        database="$RET"
+
+        if ! DoSQL "$hostname" "$admin_username" "$admin_password" "$database" "SELECT NULL" 2>/dev/null; then
+
+            if ! DoSQL "$hostname" "$admin_username" "$admin_password" "" \
+              "CREATE DATABASE $database"; then
+              echo "Failed to create database (incorrect admin username/password?)" >&2
+              echo "If you supplied incorrect information, try:" >&2
+              echo "dpkg-reconfigure --force mythtv-database" >&2
+              exit 1
+            fi
+
+        fi
+
+        db_get mythtv/mysql_mythtv_user
+        mythtv_username="$RET"
+        db_get mythtv/mysql_mythtv_password
+        mythtv_password="$RET"
+
+        DoSQL "$hostname" "$admin_username" "$admin_password" "$database" \
+            "GRANT ALL PRIVILEGES ON $database.* TO $mythtv_username@localhost IDENTIFIED BY '$mythtv_password'"
+
+        DoSQL "$hostname" "$admin_username" "$admin_password" "$database" \
+            "GRANT ALL PRIVILEGES ON $database.* TO
+                $mythtv_username@'%' IDENTIFIED BY '$mythtv_password'"
+
+        # Upgrades from old versions where the database was not
+        # automatically upgraded (pre-0.12)
+
+        if test -n "$2" && dpkg --compare-versions "$2" lt 0.8-1; then
+            $MYTHSQL < /usr/share/mythtv/sql/0-7-to-0-8.sql
+        fi
+        
+        if test -n "$2" && dpkg --compare-versions "$2" lt 0.9-1; then
+            $MYTHSQL < /usr/share/mythtv/sql/0-8-to-0-9.sql
+        fi
+        
+        if test -n "$2" && dpkg --compare-versions "$2" lt 0.10-1; then
+            $MYTHSQL < /usr/share/mythtv/0.9-to-0.10.sql
+        fi
+        
+        if test -n "$2" && dpkg --compare-versions "$2" lt 0.11-1; then
+            $MYTHSQL < /usr/share/mythtv/sql/0.10-to-0.11.sql
+        fi
+
+        ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+        ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+        ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-database.postrm mythtv-0.19-fixes/debian/mythtv-database.postrm
--- mythtv-0.19-fixes.orig/debian/mythtv-database.postrm	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-database.postrm	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,48 @@
+#! /bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+    purge)
+        . /usr/share/debconf/confmodule
+
+        db_get mythtv/mysql_mythtv_dbname
+        database="$RET"
+
+	# XXX, make this a debconf note or something; using echo breaks debconf
+        #echo "Note: This package may have created a MySQL database called '$database'"
+	#echo "but will not attempt to remove it."
+
+        ;;
+       remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-database.templates mythtv-0.19-fixes/debian/mythtv-database.templates
--- mythtv-0.19-fixes.orig/debian/mythtv-database.templates	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-database.templates	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,18 @@
+Template: mythtv/mysql_admin_user
+Type: string
+Default: root
+Description: What is the name of the MySQL administrator account?
+ This information will be used to create a database and user for
+ MythTV.
+ .
+ Unless you have explicitly changed this on the MySQL server, and understand
+ MySQL's privilege system, use the default of 'root'.
+
+Template: mythtv/mysql_admin_password
+Type: password
+Description: What is the password for the MySQL administrator account '${user}'?
+ This information will be used to create a database and user for
+ MythTV.
+ .
+ Unless you have explicitly changed the password on the MySQL server, leave
+ this blank.
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-debug.files mythtv-0.19-fixes/debian/mythtv-debug.files
--- mythtv-0.19-fixes.orig/debian/mythtv-debug.files	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-debug.files	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/debug
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-frontend.files mythtv-0.19-fixes/debian/mythtv-frontend.files
--- mythtv-0.19-fixes.orig/debian/mythtv-frontend.files	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-frontend.files	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,11 @@
+usr/share/mythtv/*.ttf
+usr/share/mythtv/*.xml
+usr/bin/mythfrontend
+usr/bin/mythtv
+usr/bin/mythtvosd
+usr/bin/mythjobqueue
+usr/bin/mythlcdserver
+usr/bin/mythshutdown
+usr/bin/mythwelcome
+usr/lib/mythtv/filters
+usr/share/mythtv/i18n/mythfrontend_*
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-frontend.menu mythtv-0.19-fixes/debian/mythtv-frontend.menu
--- mythtv-0.19-fixes.orig/debian/mythtv-frontend.menu	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-frontend.menu	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,2 @@
+?package(mythtv):needs=X11 section=Apps/Graphics\
+  title="MythTV" command="/usr/bin/mythfrontend"
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-frontend.postinst mythtv-0.19-fixes/debian/mythtv-frontend.postinst
--- mythtv-0.19-fixes.orig/debian/mythtv-frontend.postinst	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-frontend.postinst	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+case "$1" in
+    configure)
+        . /usr/share/debconf/confmodule
+
+        # Unregister questions we used to ask
+        db_unregister mythtv/server_host || true
+        db_unregister mythtv/server_port || true
+
+        ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+        ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+        ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff -ruaN mythtv-0.19-fixes.orig/debian/mythtv-frontend.templates mythtv-0.19-fixes/debian/mythtv-frontend.templates
--- mythtv-0.19-fixes.orig/debian/mythtv-frontend.templates	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/mythtv-frontend.templates	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,9 @@
+Template: mythtv/server_host
+Type: string
+Default: localhost
+Description: What is the hostname of the system where the MythTV backend is installed?
+
+Template: mythtv/server_port
+Type: string
+Default: 6543
+Description: On what port number is the MythTV server listening?
diff -ruaN mythtv-0.19-fixes.orig/debian/rules mythtv-0.19-fixes/debian/rules
--- mythtv-0.19-fixes.orig/debian/rules	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/debian/rules	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,146 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper. 
+# GNU copyright 1997 by Joey Hess.
+#
+# This version is for a hypothetical package that builds an
+# architecture-dependant package, as well as an architecture-independent
+# package.
+
+# Uncomment this to turn on verbose mode. 
+#export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=3
+
+export QTDIR=$(shell for qtdir in /usr/share/qt3 /usr/share/qt; do if test -d $$qtdir; then echo $$qtdir; break; fi; done)
+
+config.mak: configure
+	dh_testdir
+
+	if [ $$PWD != $${PWD#/usr} ]; then \
+		echo "You must not build this package under /usr due to Debian bug #180240" >&2; \
+		exit 1; \
+	fi
+
+	./configure --prefix=/usr --arch=i586 --enable-dvb --enable-firewire\
+	--dvb-path=/usr/include --enable-xvmc --enable-xvmc-vld \
+	--enable-opengl-vsync --enable-mmx --enable-dvb-eit --enable-proc-opt
+	qmake -o Makefile PREFIX=/usr mythtv.pro
+
+build-arch:  config.mak build-arch-stamp
+build-arch-stamp:
+	dh_testdir
+
+	make -j 6 CXX=distcc
+	chmod +rx debian/mythsql
+
+	touch build-arch-stamp
+
+build-indep: build-indep-stamp
+build-indep-stamp:
+	dh_testdir
+
+	touch build-indep-stamp
+
+build: build-arch build-indep
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-arch-stamp build-indep-stamp 
+
+	# Add here commands to clean up after the build process.
+	-$(MAKE) distclean
+	find . -name '.qmake*' | xargs --no-run-if-empty rm -f
+	rm -f config.mak config.h
+	rm -rf debian/shlibs.local
+
+	dh_clean
+
+install: DH_OPTIONS=
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs -pmythtv-backend etc/mythtv var/lib/mythtv var/cache/mythtv var/log/mythtv
+	dh_installdirs -pmythtv-common etc/mythtv
+	dh_installdirs -pmythtv-frontend etc/mythtv
+	dh_install -pmythtv-common debian/mysql.txt.dist usr/share/mythtv
+
+	rm -rf $(CURDIR)/debian/tmp
+	make -j 6 CXX=distcc install INSTALL_ROOT=$(CURDIR)/debian/tmp/
+
+	install setup/mythtv-setup debian/tmp/usr/bin/mythtv-setup
+	install -d debian/tmp/usr/share/mythtv/sql
+	install -m 644 database/*.sql debian/tmp/usr/share/mythtv/sql
+
+	dh_strip -pmythtv --tmpdir=debian/tmp --keep-debug
+	rm -f debian/tmp/usr/share/mythtv/FreeSans.ttf debian/tmp/usr/share/mythtv/FreeMono.ttf
+	dh_link -pmythtv-common usr/share/fonts/truetype/freefont/FreeSans.ttf usr/share/mythtv/FreeSans.ttf
+	dh_link -pmythtv-common usr/share/fonts/truetype/freefont/FreeMono.ttf usr/share/mythtv/FreeMono.ttf
+
+	dh_install --sourcedir=debian/tmp -pmythtv-backend usr/share/mythtv/setup.xml
+	rm -f debian/tmp/usr/share/mythtv/setup.xml
+	dh_movefiles --sourcedir=debian/tmp
+
+	dh_install -pmythtv-common debian/mythsql usr/share/mythtv
+
+	# Autogenerated configuration files
+	set -e; \
+	for cf in debian/mythtv-common/usr/share/mythtv/mysql.txt; do \
+		ln -s /etc/mythtv/`basename $$cf` $$cf; \
+	done
+
+# Build architecture-independent files here.
+# Pass -i to all debhelper commands in this target to reduce clutter.
+binary-indep: build install
+	dh_testdir -i
+	dh_testroot -i
+	dh_installdebconf -i
+	dh_installdocs -A README debian/README.Debian AUTHORS FAQ UPGRADING keys.txt
+	dh_installdocs -pmythtv-doc docs/mythtv-HOWTO*
+	dh_installexamples -pmythtv-doc configfiles/*
+#	dh_installman -i
+#	dh_undocumented -i
+	dh_installchangelogs  -i
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir -a
+	dh_testroot -a
+	dh_installdocs -a -A README debian/README.Debian AUTHORS keys.txt FAQ UPGRADING
+	dh_installdebconf -a
+	dh_installexamples -a
+	dh_installmenu -a
+	dh_installlogrotate -a
+#	dh_installemacsen -a
+#	dh_installpam -a
+#	dh_installmime -a
+	dh_installinit -a
+	dh_installcron -a
+#	dh_installman -a
+	dh_installinfo -a
+#	dh_undocumented -a
+	dh_installchangelogs  -a
+	dh_strip -a -Xusr/lib/debug
+	dh_link -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_makeshlibs -a -Xusr/lib/mythtv/filters
+	dh_installdeb -a
+	# Don't use dh_shlibdeps -L just yet, so we can build on woody easily
+	cp debian/libmyth-0.19/DEBIAN/shlibs debian/shlibs.local
+	dh_shlibdeps -a -ldebian/libmyth-0.19/usr/lib
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install 
diff -ruaN mythtv-0.19-fixes.orig/programs/mythfrontend/knoppmyth.xml mythtv-0.19-fixes/programs/mythfrontend/knoppmyth.xml
--- mythtv-0.19-fixes.orig/programs/mythfrontend/knoppmyth.xml	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/programs/mythfrontend/knoppmyth.xml	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,35 @@
+<mythmenu name="KnoppMyth">
+
+   <button>
+     <type>Backup</type>
+     <text>Backup KnoppMyth</text>
+     <action>EXEC sudo /usr/local/bin/mythbackup</action>
+   </button>
+
+   <button>
+     <type>Restore</type>
+     <text>Restore KnoppMyth</text>
+     <action>EXEC sudo /usr/local/bin/mythrestore</action>
+   </button>
+
+   <button>
+     <type>Power Off </type>
+     <text>Power Off </text>
+     <action>EXEC /usr/bin/sudo halt</action>
+   </button>
+   
+   <button>
+     <type>Reboot </type>
+     <text>Reboot </text>
+     <action>EXEC /usr/bin/sudo reboot</action>
+   </button>
+
+   <button>
+     <type>MENU_UTILITIES_SETUP</type>
+     <text>Create DVD</text>
+     <action>EXEC /myth/nuv2disc/nuv2disc.sh </action>
+   </button>
+
+
+</mythmenu>
+
diff -ruaN mythtv-0.19-fixes.orig/programs/mythfrontend/mainmenu.xml mythtv-0.19-fixes/programs/mythfrontend/mainmenu.xml
--- mythtv-0.19-fixes.orig/programs/mythfrontend/mainmenu.xml	2006-02-25 07:26:20.000000000 +0000
+++ mythtv-0.19-fixes/programs/mythfrontend/mainmenu.xml	2006-02-25 07:40:24.000000000 +0000
@@ -145,6 +145,12 @@
      <action>MENU util_menu.xml</action>
    </button>
 
+   <button>
+     <type>KnoppMyth</type>
+     <text>KnoppMyth</text>
+     <action>MENU knoppmyth.xml</action>
+   </button>
+
    <!-- <button>
      <type>SHUTDOWN</type>
      <text>Shutdown</text>
diff -ruaN mythtv-0.19-fixes.orig/programs/mythfrontend/mythfrontend.pro mythtv-0.19-fixes/programs/mythfrontend/mythfrontend.pro
--- mythtv-0.19-fixes.orig/programs/mythfrontend/mythfrontend.pro	2006-02-25 07:26:20.000000000 +0000
+++ mythtv-0.19-fixes/programs/mythfrontend/mythfrontend.pro	2006-02-25 07:40:24.000000000 +0000
@@ -15,7 +15,7 @@
 setting.files += util_menu.xml info_settings.xml main_settings.xml
 setting.files += recpriorities_settings.xml tv_search.xml tv_lists.xml
 setting.files += library.xml manage_recordings.xml optical_menu.xml tvmenu.xml
-setting.files += tv_settings.xml
+setting.files += tv_settings.xml knoppmyth.xml
 setting.extra = -ldconfig
 
 INSTALLS += setting
diff -ruaN mythtv-0.19-fixes.orig/programs/mythfrontend/optical_menu.xml mythtv-0.19-fixes/programs/mythfrontend/optical_menu.xml
--- mythtv-0.19-fixes.orig/programs/mythfrontend/optical_menu.xml	2006-02-25 07:26:20.000000000 +0000
+++ mythtv-0.19-fixes/programs/mythfrontend/optical_menu.xml	2006-02-25 07:40:24.000000000 +0000
@@ -102,4 +102,15 @@
       <depends>mythmusic</depends>
    </button>
 
+   <button>
+     <type>MPEG4 CD</type>
+     <text>MPEG4 CD</text>
+     <action>EXEC sh /usr/local/bin/divx.sh</action>
+   </button>
+
+   <button>
+      <type>DVD</type>
+      <text>Eject Disk</text>
+      <action>EXEC sudo eject -r</action>
+   </button>
 </mythmenu>
diff -ruaN mythtv-0.19-fixes.orig/themes/classic/knoppmyth.xml mythtv-0.19-fixes/themes/classic/knoppmyth.xml
--- mythtv-0.19-fixes.orig/themes/classic/knoppmyth.xml	1970-01-01 00:00:00.000000000 +0000
+++ mythtv-0.19-fixes/themes/classic/knoppmyth.xml	2006-02-25 07:40:24.000000000 +0000
@@ -0,0 +1,41 @@
+<mythmenu name="KnoppMyth">
+
+   <button>
+     <type>Backup</type>
+     <text>Backup KnoppMyth</text>
+     <action>EXEC sudo /usr/local/bin/mythbackup</action>
+   </button>
+
+   <button>
+     <type>Restore</type>
+     <text>Restore KnoppMyth</text>
+     <action>EXEC sudo /usr/local/bin/mythrestore</action>
+   </button>
+
+   <button>
+     <type>MPEG4 CD</type>
+     <text>MPEG4 CD</text>
+     <action>EXEC sh /usr/local/bin/divx.sh</action>
+   </button>
+
+   <button>
+     <type>Power Off </type>
+     <text>Power Off </text>
+     <action>EXEC /usr/bin/sudo halt</action>
+   </button>
+   
+   <button>
+     <type>Reboot </type>
+     <text>Reboot </text>
+     <action>EXEC /usr/bin/sudo reboot</action>
+   </button>
+
+   <button>
+     <type>MENU_UTILITIES_SETUP</type>
+     <text>Create DVD</text>
+     <action>EXEC /myth/nuv2disc/nuv2disc.sh </action>
+   </button>
+
+
+</mythmenu>
+
diff -ruaN mythtv-0.19-fixes.orig/themes/classic/mainmenu.xml mythtv-0.19-fixes/themes/classic/mainmenu.xml
--- mythtv-0.19-fixes.orig/themes/classic/mainmenu.xml	2006-02-25 07:24:07.000000000 +0000
+++ mythtv-0.19-fixes/themes/classic/mainmenu.xml	2006-02-25 07:40:24.000000000 +0000
@@ -258,6 +258,12 @@
      <action>MENU main_settings.xml</action>
    </button>
 
+   <button>
+      <type>KnoppMyth</type>
+      <text>KnoppMyth</text>
+      <action>MENU knoppmyth.xml</action>
+   </button>
+
    <!-- <button>
      <type>SHUTDOWN</type>
      <text>Shutdown</text>
